#version 330

uniform  sampler2DRect inputTex0;

layout (location=0) in vec3 vsPosition;
layout (location=1) in vec2 vsTexture0;

out vec2 fsTexture0;
out vec2 fsTextureNormalized0;

void main()
{
    ivec2 textureSize2d;
    gl_Position=vec4(vsPosition.x,vsPosition.y,0.0,1.0);
    fsTextureNormalized0 = vsTexture0;
    textureSize2d=textureSize(inputTex0);
    fsTexture0=fsTextureNormalized0*vec2(textureSize2d);
}
